This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 206877 - Review Request: bzr-gtk - Bazaar plugin for GTK+ interfaces to most Bazaar operations
Review Request: bzr-gtk - Bazaar plugin for GTK+ interfaces to most Bazaar op...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-17 12:32 EDT by Warren Togami
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-28 05:23:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
New spec file (1.67 KB, application/x-extension-spec)
2006-09-17 16:03 EDT, Paul F. Johnson
no flags Details

  None (edit)
Description Warren Togami 2006-09-17 12:32:17 EDT
Spec URL: Bazaar plugin for GTK+ interfaces to most Bazaar operations
SRPM URL: http://togami.com/~warren/fedora/bzr-gtk-0.10.0-1.src.rpm
Description:
bzr-gtk is a plugin for Bazaar that aims to provide GTK+ interfaces to most Bazaar operations.
Comment 1 Paul F. Johnson 2006-09-17 12:55:19 EDT
rpmlint stuff...

-src.rpm
E: bzr-gtk description-line-too-long
W: mixed use of spaces and tabs (ignore)

noarch.rpm
Lots of errors due to non-executable-script
(start %{_libdir}/python2.4/site-packages/bzrlib/plugins/gtk/viz)
__init__.py 0644, bzrkapp.py
(start %{_libdir}/python2.4/site-packages/bzrlib/plugins/gtk/)
__init__.py 0644, graphcell.py 0644, graph.py 0644, diffwin.py 0644,
branchwin.py 0644

Spec file looks okay

building now in mock
Comment 2 Warren Togami 2006-09-17 13:20:11 EDT
E: bzr-gtk non-executable-script
/usr/lib/python2.4/site-packages/bzrlib/plugins/gtk/viz/__init__.py 0644

Does this really need to be executable?
And how rpmlint seeing this as different from the many other py files that it
isn't complaining about?
Comment 4 Paul F. Johnson 2006-09-17 16:03:04 EDT
Created attachment 136493 [details]
New spec file

This spec file addresses every warning and error rpmlint was throwing up on my
buildsys. It builds cleanly in mock.
Comment 5 Warren Togami 2006-09-17 21:40:51 EDT
Making the permissions on those scripts 755 seems to be not needed at all.  Most
of similar installed files have 644 permissions, and this software works fine. 
These scripts are not meant to be run directly.

Do we really need to do this?
Comment 6 Frank Arnold 2006-09-17 22:46:42 EDT
Just remove the shebang (#!/usr/bin/python) from __init__.py to get rid of this
rpmlint error. Maybe you can convince upstream to do the same, if it's really
not needed.
Comment 7 Warren Togami 2006-09-18 12:07:47 EDT
Requesting approval of the package in #3 which fixes the .src.rpm rpmlint
warnings.  The opinion of fedora-extras-list is the permission issues are not a
problem at all.  Removal of shebang is not required either.
Comment 8 Paul F. Johnson 2006-09-18 16:14:08 EDT
Okay.

Review:

Spec file in US-English
Consistent use of macros
Contains docs
upstream and package md5sums match
the software installs and deinstalls cleanly
no dupes in the rpms
contains a %clean section
builds cleanly in mock
rpmlint gives plenty of warnings and errors, but they can be ignored
follows python packaging guidelines

APPROVED
Comment 9 Paul F. Johnson 2006-11-02 17:15:18 EST
Could you please close this bug if it has been imported?

Note You need to log in before you can comment on or make changes to this bug.